/* Copyright (C) 2004 Bart
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#include "../include/Dialog_About.h"

Dialog_About::Dialog_About()
{
	this ->set_title( "About GParted" );
	this ->set_size_request( -1, 220 ) ;
	this ->set_resizable( false );
	this ->set_has_separator( false ) ;
	
	label_temp = manage( new Gtk::Label() ) ;
	label_temp -> set_markup( "\n<span size='small'>logo here ;)</span>\n" ) ;
	this ->get_vbox()->pack_start( *label_temp ,Gtk::PACK_SHRINK );
	
	label_temp = manage( new Gtk::Label() ) ;
	label_temp -> set_markup( "<span size='xx-large'><b>GParted 0.0.3</b></span>" ) ;
	this ->get_vbox()->pack_start( *label_temp ,Gtk::PACK_SHRINK );
	
	label_temp = manage( new Gtk::Label() ) ;
	label_temp -> set_text( "\nGnome Partition Editor based on libparted\n" ) ;
	this ->get_vbox()->pack_start( *label_temp ,Gtk::PACK_SHRINK );
	
	label_temp = manage( new Gtk::Label() ) ;
	label_temp -> set_markup( "<span size='small'>Copyright (c) 2004 Bart Hakvoort</span>" ) ;
	this ->get_vbox()->pack_start( *label_temp ,Gtk::PACK_SHRINK );
	
	label_temp = manage( new Gtk::Label() ) ;
	label_temp -> set_markup( "<span size='small'>http://gparted.sourceforge.net</span>" ) ;
	label_temp -> set_selectable( true ) ;
	this ->get_vbox()->pack_start( *label_temp ,Gtk::PACK_SHRINK );
	
	label_temp = manage( new Gtk::Label() ) ;
	label_temp -> set_text( "\t\t" ) ;
	
	button_credits.add_pixlabel( "/usr/share/icons/hicolor/16x16/stock/generic/stock_about.png", "Credits", 0, 0.5 ) ;
	button_credits.signal_clicked() .connect( sigc::mem_fun( this, &Dialog_About::Show_Credits ) ) ;
	
	this ->get_action_area() ->pack_start( button_credits ) ;
	this ->get_action_area() ->pack_start( *label_temp ) ;
	this ->add_button( Gtk::Stock::CLOSE, Gtk::RESPONSE_CLOSE );
	
	this ->show_all_children() ;
	
}

void Dialog_About::Show_Credits()
{
	Gtk::Dialog dialog( "Credits", *this ) ;
	Gtk::Notebook notebook_credits;
	Gtk::VBox vbox_written, vbox_documented ;
	Gtk::Label label_writers( "Bart Hakvoort (gparted@users.sourceforge.net)");
	
	vbox_written .set_border_width( 5 ) ;
	vbox_written .pack_start( label_writers, Gtk::PACK_SHRINK ) ;
	
	notebook_credits .set_size_request( -1, 200 ) ;
	notebook_credits .append_page( vbox_written, "Written by" ) ;
	notebook_credits .append_page( vbox_documented, "Documented by" ) ;
	
	dialog .get_vbox()->pack_start(  notebook_credits, Gtk::PACK_SHRINK );
	dialog .add_button( Gtk::Stock::CLOSE, Gtk::RESPONSE_CLOSE );
	
	dialog .set_resizable( false );
	dialog .show_all_children() ;
	dialog .run() ;
}
